#include "AccountHistorieDaten.h"

// Inhalt der AHSpielSpielerDaten Struktur aus AccountHistorieDaten.h
// Konstruktor
AHSpielSpielerDaten::AHSpielSpielerDaten()
    : ReferenceCounter(),
    name( new Text() ),
    status( new Text() )
{}

// Destruktor
AHSpielSpielerDaten::~AHSpielSpielerDaten()
{
    name->release();
    status->release();
}


// Inhalt der AHSpielTeamDaten Struktur aus AccountHistorieDaten.h
// Konstruktor
AHSpielTeamDaten::AHSpielTeamDaten()
    : ReferenceCounter(),
    name( new Text() ),
    status( new Text() ),
    spieler( new RCArray< AHSpielSpielerDaten >() )
{}

// Destruktor
AHSpielTeamDaten::~AHSpielTeamDaten()
{
    name->release();
    status->release();
    spieler->release();
}


// Inhalt der AHSpielDaten Struktur aus AccountHistorieDaten.h
// Konstruktor
AHSpielDaten::AHSpielDaten()
    : ReferenceCounter(),
    spiel( new Text() ),
    karte( new Text() ),
    datum( new Text() ),
    status( new Text() ),
    dauer( new Text() ),
    spielStatus( new Text() ),
    gewinner( new Text() ),
    teams( new RCArray< AHSpielTeamDaten >() )
{}

// Destruktor
AHSpielDaten::~AHSpielDaten()
{
    spiel->release();
    karte->release();
    datum->release();
    status->release();
    dauer->release();
    spielStatus->release();
    gewinner->release();
    teams->release();
}


// Inhalt der AHDaten Struktur aus AccountHistorieDaten.h
// Konstruktor
AHDaten::AHDaten()
    : ReferenceCounter(),
    spiele( new RCArray< AHSpielDaten >() )
{}

// Destruktor
AHDaten::~AHDaten()
{
    spiele->release();
}


// Inhalt der SpielerTeamStruktur Struktur aus Strukturen.h
SpielerTeamStruktur::SpielerTeamStruktur()
    : ReferenceCounter()
{
    spielerAnzahl = 0;
    teamAnzahl = 0;
    spielerFarbe = new Array< int >();
    teamFarbe = new Array< int >();
    teamName = new RCArray< Text >();
    teamSize = new Array< int >();
}

SpielerTeamStruktur::~SpielerTeamStruktur()
{
    spielerFarbe->release();
    teamFarbe->release();
    teamName->release();
    teamSize->release();
}